[问题]]昨晚添加更新的cn99源,出错!???

重复贴和参考价值不大的帖子,版主维护
回复
头像
ubuntuing
帖子: 192
注册时间: 2008-03-22 9:02
送出感谢: 0
接收感谢: 0

[问题]]昨晚添加更新的cn99源,出错!???

#1

帖子 ubuntuing » 2008-03-28 12:52

昨晚新更新添加的源是---# Ubuntu.cn99.com 更新服务器(江苏省常州市电信,推荐电信用户使用。)

g-desktop:~$ sudo apt-get install -f
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
正在更正依赖关系... 完成
将会安装下列额外的软件包:
compiz-gnome
下列的软件包将被升级:
compiz-gnome
共升级了 1 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 5 个软件未被升级。
有 1 个软件包没有被完全安装或卸载。
需要下载 0B/161kB 的软件包。
解压缩后会消耗掉 893kB 的额外空间。
您希望继续执行吗?[Y/n]y
【警告】:下列的软件包不能通过验证!
compiz-gnome
不经验证就安装这些软件包么?[y/N] y
(正在读取数据库 ... 系统当前总共安装有 115216 个文件和目录。)
正预备替换 compiz-gnome 1:0.3.6-1ubuntu13 (使用 .../compiz-gnome_1%3a0.5.5~git20070828+3v1ubuntu0_i386.deb) ...
正在解压缩将用于更替的包文件 compiz-gnome ...
dpkg:处理 /var/cache/apt/archives/compiz-gnome_1%3a0.5.5~git20070828+3v1ubuntu0_i386.deb (--unpack)时出错:
正试图覆盖“/usr/lib/compiz/libgconf.so”,它属于软件包 compiz-plugins
在处理时有错误发生:
/var/cache/apt/archives/compiz-gnome_1%3a0.5.5~git20070828+3v1ubuntu0_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
问题一:解释一下不经验证就安装这些软件包么?[y/N] y的后果
问题二:说明一下它属于软件包 compiz-plugins个中情况
问题三:现在点击更新提示时候出现
软件索引已被破坏
无法安装或删除任何软件。请使用包管理软件"synaptic"或在终端运行"sudo apt-get install -f"来修正这个问题。
我就是sudo apt-get install -f 后才出现上面一大堆。
问题三就是:我接下来除了吃喝还要干点儿啥?
(担心+期待中......)
头像
yaoms
帖子: 4953
注册时间: 2007-10-19 14:51
来自: 深圳
送出感谢: 0
接收感谢: 2 次

#2

帖子 yaoms » 2008-03-28 12:53

换个源再 sudo apt-get update 下
Nothing 有事请发邮件到 yms541 AT gmail.com
alias 爱慕颇雷尔='mplayer'
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#3

帖子 BigSnake.NET » 2008-03-28 12:57

正试图覆盖“/usr/lib/compiz/libgconf.so”,它属于软件包 compiz-plugins


说明 compiz-plugins 与你安装的包只能选一个
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
回复

回到 “归档贴”